'use strict';

function random(...args) {
  if ( args.length === 1 ) {
    const number = args[0];

    return Math.floor(Math.random() * number);
  }
  else if ( args.length === 2 ) {
    const start = args[0];
    const end = args[1];

    return Math.floor(Math.random() * (end - start)) + start;
  }

  return Math.random();
}

function getObjectValue(obj, key, defaultValue) {
  if ( obj && key in obj ) {
    return obj[key];
  }

  return defaultValue;
}

module.exports = {
  random: random,
  getObjectValue: getObjectValue
};
