'use strict';

const core = {
  misc: require('../core/misc')
};

let IpPools = null;

function generateIpPools() {
  IpPools = [];
  IpPools = IpPools.concat(generateIps('114.214.160', 1, 254));
  IpPools = IpPools.concat(generateIps('202.38.64', 1, 254));
  IpPools = IpPools.concat(generateIps('222.195.64', 1, 254));
  IpPools = IpPools.concat(generateIps('111.113.23', 1, 254));
  IpPools = IpPools.concat(generateIps('113.215.6', 1, 254));
  IpPools = IpPools.concat(generateIps('202.118.0', 1, 254));
}

function generateIps(ipPrefix, start, end) {
  const ips = [];
  for ( let segment = start; segment < end; segment ++ ) {
    ips.push(`${ipPrefix}.${segment}`);
  }

  return ips;
}

function selectIp() {
  if ( !IpPools ) {
    generateIpPools();
  }

  return IpPools[core.misc.random(IpPools.length)];
}

module.exports = {
  selectIp: selectIp
};
